webkitkde (1.3.4-1ubuntu0.1) utopic-security; urgency=medium

  * SECURITY UPDATE: Insufficient Input Validation By IO Slaves and
    Webkit Part
   - Add upstream_cve-2014-8600.diff to escape protocol twice: once
     for i18n, and once for HTML
   - https://www.kde.org/info/security/advisory-20141113-1.txt
   - CVE-2014-8600
   - LP: #1393479

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 17 Nov 2014 17:44:29 +0100

webkitkde (1.3.4-1) unstable; urgency=medium

  * New upstream release 1.3.4
  * Change my email addresse in debian/control 

 -- Adrien Grellier <perso@adrieng.fr>  Tue, 22 Jul 2014 07:26:10 +0200

webkitkde (1.3.2-2) unstable; urgency=low

  * Team upload.

  [ Adrien Grellier ]
  * use canonical URI for VCS-* fields (lintian: vcs-field-not-canonical)

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Update Standards-Version to 3.9.5, no changes required.
  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 22 Mar 2014 20:26:23 -0300

webkitkde (1.3.2-1) experimental; urgency=low

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Bump Build-Depends on kdelibs to 4:4.8.3. Thanks Nobuhiro for noticing!
    (Closes: #684436).

  [ Adrien Grellier ]
  * New upstream release (Closes: #687992)
  * Update to Debian policy 3.9.4, no changes needed.

 -- Adrien Grellier <adrien.grellier@laposte.net>  Sun, 07 Apr 2013 18:00:03 +0200

webkitkde (1.3~git20120518.9a111005-2) unstable; urgency=low

  * fix dh: Unknown sequence build-stamp (Closes: #679472) 

 -- Adrien Grellier <adrien.grellier@laposte.net>  Fri, 29 Jun 2012 19:01:31 +0200

webkitkde (1.3~git20120518.9a111005-1) unstable; urgency=low

  [ Adrien Grellier ]
  * New Maintainer (Closes: #624448)
  * Correct lintian warnings
  * build with hardening flags
  * Update copyright file.

  [ Raúl Sánchez Siles ]
  * New upstream pre 1.3.
    - Fix "konqueror with webkit and rekonq both crashes in acid3 test at
      about 73/100" (Closes: #629986)
  * Update packaging to debhelper8.
  * Provide debug package.
  * Setting Debian KDE Extras Team as maintainer and adding Adrien and myself
  as uploaders. Thanks Adrian!
  * Update homepage.
  * Improved package description as per Michael Meskes suggestion.
  * Replacing obsolete libkwebkit packages.

  [ Adrian von Bidder ]
  * Drop library package, there's only the kpart anymore;
    conflict with the old libkwebkit-dev (FindKWebKitPart.cmake)

 -- Raúl Sánchez Siles <rasasi78@gmail.com>  Wed, 27 Jun 2012 20:46:02 +0200

webkitkde (0.9.6svn1187649-1) experimental; urgency=low

  * New upstream version.
    - Switch to the stable branch in subversion; trunk requires KDE 4.6
  * Drop the libkwebkit0.9.5 name, new versions will change ABI anyway.
  * Drop mention of very old (used in sid only) package names
  * Build-Dependencies: QtWebkit is not in qt anymore. (Closes: #618133)

 -- Adrian von Bidder <cmot@debian.org>  Sun, 13 Mar 2011 19:59:59 +0100

webkitkde (0.9.6svn1180498-1) unstable; urgency=low

  * New upstream version.
    - last version that can be built with KDE < 4.5.69
  * debian/rules: Don't ignore build problems due to ABI changes anymore.

 -- Adrian von Bidder <cmot@debian.org>  Tue, 28 Sep 2010 20:42:07 +0200

webkitkde (0.9.6svn1170614-1) unstable; urgency=low

  * New upstream version.
    - History fixes.
  * Merge NMU and adjust README.Debian to match the new reality
  * Convert symbol file to C++
  * Update to Policy 3.9.1

 -- Adrian von Bidder <cmot@debian.org>  Sun, 05 Sep 2010 15:17:45 +0200

webkitkde (0.9.6svn1158036-2.1) unstable; urgency=low

  * Non-maintainer upload, acked by maintainer.
  * Revert the changes to upstream regarding priorities of plugins.

 -- Sune Vuorela <sune@debian.org>  Wed, 01 Sep 2010 23:42:47 +0200

webkitkde (0.9.6svn1158036-2) unstable; urgency=low

  * For now: only warn about ABI problems, don't fail the build.

 -- Adrian von Bidder <cmot@debian.org>  Thu, 05 Aug 2010 14:33:58 +0200

webkitkde (0.9.6svn1158036-1) unstable; urgency=low

  * New upstream version.
    - Favicon and link color changes
  * Rename back to libkwebkit1
    - Provide the 0.9.5 name to not break kdenetwork (kget); ABI didn't change
    - this hack will be removed after the next kdenetwork upload.
  * Generate a symbols file

 -- Adrian von Bidder <cmot@debian.org>  Wed, 04 Aug 2010 19:37:14 +0200

webkitkde (0.9svn1148394-2) unstable; urgency=low

  * Add Replaces/Conflicts, sorry about that (closes: #588687)

 -- Adrian von Bidder <cmot@debian.org>  Sun, 11 Jul 2010 21:28:47 +0200

webkitkde (0.9svn1148394-1) unstable; urgency=low

  * New upstream version.
  * restore libkwebkit1 package name (following upstream)

 -- Adrian von Bidder <cmot@debian.org>  Sat, 10 Jul 2010 16:03:24 +0200

webkitkde (0.9svn1143138-1) unstable; urgency=low

  * New upstream version.
  * kdenetwork has migrated to testing, upload to unstable

 -- Adrian von Bidder <cmot@debian.org>  Tue, 29 Jun 2010 07:20:17 +0200

webkitkde (0.9svn1136920-1) experimental; urgency=low

  * experimental: wait for kdenetwork to be in squeeze
  * New upstream version.
    - fixes konqueror history handling
    - warn before closing tab with unsent form data
  * Fixes from Ubuntu (typo, drop build-dependency on libwebkit-dev)
  * History fixes require soname change

 -- Adrian von Bidder <cmot@debian.org>  Sat, 12 Jun 2010 12:59:34 +0200

webkitkde (0.9svn1133684-1) unstable; urgency=low

  * New upstream version.
  * Add pkg-kde-tools to build dependencies (Closes: #584389)

 -- Adrian von Bidder <cmot@debian.org>  Thu, 03 Jun 2010 12:46:08 +0200

webkitkde (0.9svn1123738-1) unstable; urgency=low

  * New upstream version.
    - various small fixes
  * Upload to unstable

 -- Adrian von Bidder <cmot@debian.org>  Sun, 09 May 2010 15:56:13 +0200

webkitkde (0.9svn1101082-1) experimental; urgency=low

  * New upstream version.
    - upstream is now in extragear, not playground.
    - source package includes only the kpart.  KDE webkit stuff
      has moved to kdelibs.
    - depends on KDE 4.4
    - various bugfixes & enhancements
  * libkwebkit-dbg now depends on libqt4-webkit-dbg

 -- Adrian von Bidder <cmot@debian.org>  Fri, 12 Mar 2010 05:48:25 +0100

webkitkde (0.9svn1084767-1) unstable; urgency=low

  * New upstream version.
  * Add libwebkit-dev build dependency
  * prefer webkit kpart over khtml by default.

 -- Adrian von Bidder <cmot@debian.org>  Wed, 03 Feb 2010 20:02:01 +0100

webkitkde (0.9svn1068256-2) unstable; urgency=low

  * kwebkitpart.desktop: change priority to 11, so kpart-webkit (when
    installed) takes precedence over khtml.
  * Drop pkg-kde-tools build dep (implicit through kdelibs5-dev)
  * add ${misc:Depends} to make lintian happy.

 -- Adrian von Bidder <cmot@debian.org>  Fri, 22 Jan 2010 10:00:48 +0100

webkitkde (0.9svn1068256-1) unstable; urgency=low

  * New upstream version.
  * Switch to source format '3.0 (quilt)'

 -- Adrian von Bidder <cmot@debian.org>  Sun, 03 Jan 2010 17:31:10 +0100

webkitkde (0.4svn1064400-1) unstable; urgency=low

  * New upstream version.
    - fix display of the error page.

 -- Adrian von Bidder <cmot@debian.org>  Mon, 21 Dec 2009 11:32:00 +0100

webkitkde (0.4svn1064329-1) unstable; urgency=low

  * New upstream snapshot

 -- Adrian von Bidder <cmot@debian.org>  Sun, 20 Dec 2009 17:48:51 +0100

webkitkde (0.4svn1059630-1) unstable; urgency=low

  * Let it migrate to testing normally (closes: #537226)
  * New upstream snapshot
    - there is a version number hidden in part/webkitpart.cpp
    - KWallet integration
    - fix a few crashes

 -- Adrian von Bidder <cmot@debian.org>  Tue, 08 Dec 2009 12:39:06 +0100

webkitkde (0.0.20091202svn1057402-1) unstable; urgency=low

  * New upstream snapshot
    - fix compilation with gold (closes: 556675)
      (since r1052400)
  * library renaming from upstream, tracking this.

 -- Adrian von Bidder <cmot@debian.org>  Wed, 02 Dec 2009 11:28:07 +0100

webkitkde (0.0.20091118svn1050980-1) unstable; urgency=low

  * New upstream snapshot
    - early version of KWallet integration

 -- Adrian von Bidder <cmot@debian.org>  Thu, 19 Nov 2009 11:51:38 +0100

webkitkde (0.0.20091109svn1046903-1) unstable; urgency=low

  * New upstream snapshot
    - fix at least one crash

 -- Adrian von Bidder <cmot@debian.org>  Wed, 11 Nov 2009 10:21:46 +0100

webkitkde (0.0.20091031svn1043455-1) unstable; urgency=low

  * New upstream snapshot

 -- Adrian von Bidder <cmot@debian.org>  Sun, 01 Nov 2009 16:57:49 +0100

webkitkde (0.0.20091028svn1042284-1) unstable; urgency=low

  * New upstream snapshot

 -- Adrian von Bidder <cmot@debian.org>  Thu, 29 Oct 2009 15:41:47 +0100

webkitkde (0.0.20091020svn1037794-1) unstable; urgency=low

  * New upstream snapshot
    - adds scrolling to right place after going back in history

 -- Adrian von Bidder <cmot@debian.org>  Tue, 20 Oct 2009 16:31:08 +0200

webkitkde (0.0.20091013svn1034519-1) unstable; urgency=low

  * New upstream snapshot

 -- Adrian von Bidder <cmot@debian.org>  Tue, 13 Oct 2009 08:38:22 +0200

webkitkde (0.0.20090930svn1029691-1) unstable; urgency=low

  * New upstream snapshot
    - mailto links
    - history with page anchors

 -- Adrian von Bidder <cmot@debian.org>  Wed, 30 Sep 2009 21:39:46 +0200

webkitkde (0.0.20090925svn1027805-1) unstable; urgency=low

  * New upstream snapshot
    - properly abort page loading
    - better SSL info

 -- Adrian von Bidder <cmot@debian.org>  Fri, 25 Sep 2009 14:19:33 +0200

webkitkde (0.0.20090917svn1024819-1) unstable; urgency=low

  * New upstream snapshot
    - calculates font size from DPI

 -- Adrian von Bidder <cmot@debian.org>  Thu, 17 Sep 2009 13:38:03 +0200

webkitkde (0.0.20090824svn1015061-1) unstable; urgency=low

  * New upstream snapshot
    - Fixes "crash on exit" when using flash
  * Needs at least kdelibs 4.3.1 (see #540676)

 -- Adrian von Bidder <cmot@debian.org>  Wed, 02 Sep 2009 14:43:00 +0200

webkitkde (0.0.20090715svn995948-1) unstable; urgency=low

  * New upstream snapshot
  * Upload to unstable to get wider testing audience.
  * Use -Wl,--as-needed to trim dependencies

 -- Adrian von Bidder <cmot@debian.org>  Wed, 15 Jul 2009 14:51:22 +0200

webkitkde (0.0.20090529svn974351-3) experimental; urgency=low

  * create -dbg package
  * rename konq-plugin-webkit to kpart-webkit
  * improve dependencies

 -- Adrian von Bidder <cmot@debian.org>  Fri, 12 Jun 2009 07:15:30 +0200

webkitkde (0.0.20090529svn974351-2) experimental; urgency=low

  * debian/rules: use dh_prep, not dh_clean -k
  * use pkg-kde-tools for cmake flags
  * split off libwebkitkde1{,-dev} packages

 -- Adrian von Bidder <cmot@debian.org>  Mon, 08 Jun 2009 18:50:44 +0200

webkitkde (0.0.20090529svn974351-1) experimental; urgency=low

  * Initial packaging (closes: #531754)

 -- Adrian von Bidder <cmot@debian.org>  Sat, 06 Jun 2009 15:20:44 +0200
